---
lang: en
title: 'API docs: context.injectionelement'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injectionelement.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InjectionElement](./context.injectionelement.md)

## InjectionElement interface

Wrapper for injections tracked by resolution sessions

<b>Signature:</b>

```typescript
export interface InjectionElement 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [type](./context.injectionelement.type.md) | 'injection' |  |
|  [value](./context.injectionelement.value.md) | Readonly&lt;[Injection](./context.injection.md)<!-- -->&gt; |  |


